FreeMat

- Main Page
- Related Pages

vtkTreeLevelsFilter

Section: Visualization Toolkit Infovis Classes

# Usage

The filter currently add two arrays to the incoming vtkTree datastructure. 1) "levels" this is the distance from the root of the vertex. Root = 0 and you add 1 for each level down from the root 2) "leaf" this array simply indicates whether the vertex is a leaf or not

.SECTION Thanks Thanks to Brian Wylie from Sandia National Laboratories for creating this class.

To create an instance of class vtkTreeLevelsFilter, simply invoke its constructor as follows

      obj = vtkTreeLevelsFilter

# Methods

The class vtkTreeLevelsFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTreeLevelsFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTreeLevelsFilter = obj.NewInstance ()`
- `vtkTreeLevelsFilter = obj.SafeDownCast (vtkObject o)`